aboutsummaryrefslogtreecommitdiff
path: root/package/bluez5_utils
diff options
context:
space:
mode:
authorGravatar Gustavo Zacarias <gustavo@zacarias.com.ar>2014-10-28 14:02:33 -0300
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2014-10-28 18:50:43 +0100
commitac7903ee467a89e5cb9982f696bc9d6fd7c80620 (patch)
tree90ff4819c638b105bf48613943fe0a87568f421e /package/bluez5_utils
parent763e85d9bdddeb0d24c56ea1f05357a02a021728 (diff)
downloadbuildroot-ac7903ee467a89e5cb9982f696bc9d6fd7c80620.tar.gz
buildroot-ac7903ee467a89e5cb9982f696bc9d6fd7c80620.tar.bz2
bluez5_utils: not for static builds
Disable for static builds, it uses dlfcn. Fixes: http://autobuild.buildroot.net/results/7cd/7cd87c9e9b8b41ee01413050e554b5422d207e70/ Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Reviewed-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/bluez5_utils')
-rw-r--r--package/bluez5_utils/Config.in6
1 files changed, 4 insertions, 2 deletions
diff --git a/package/bluez5_utils/Config.in b/package/bluez5_utils/Config.in
index ec1352f720..a374f921d9 100644
--- a/package/bluez5_utils/Config.in
+++ b/package/bluez5_utils/Config.in
@@ -5,6 +5,7 @@ config BR2_PACKAGE_BLUEZ5_UTILS
depends on BR2_TOOLCHAIN_HAS_THREADS # dbus, libglib2
depends on BR2_USE_MMU # dbus
depends on BR2_INET_IPV6
+ depends on !BR2_PREFER_STATIC_LIB # uses dlfcn
depends on !BR2_PACKAGE_BLUEZ_UTILS # conflicts with 4.x version
depends on BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_4
select BR2_PACKAGE_DBUS
@@ -62,9 +63,10 @@ config BR2_PACKAGE_BLUEZ5_UTILS_TEST
endif
-comment "bluez5-utils needs a toolchain w/ wchar, threads, IPv6, headers >= 3.4"
+comment "bluez5-utils needs a toolchain w/ wchar, threads, IPv6, headers >= 3.4, dynamic library"
depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS || \
- !BR2_INET_IPV6 || !BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_4
+ !BR2_INET_IPV6 || !BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_4 || \
+ BR2_PREFER_STATIC_LIB
depends on BR2_USE_MMU
comment "bluez5-utils conflicts with older bluez-utils version"